JobsApi
All URIs are relative to http://admin.alertsense.com/api
| Method | HTTP request | Description |
|---|---|---|
| getJobById | GET /v4/{tenantId}/jobs/{jobId} | |
| getJobEvents | GET /v4/{tenantId}/jobs/{jobId}/events | |
| getJobStages | GET /v4/{tenantId}/jobs/{jobId}/stages |
getJobById
SingleJobStatusResponse getJobById(tenantId, jobId)
Get a job by ID for the tenant.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| tenantId | Integer | Id of the tenant | [default to null] |
| jobId | String | Id of the job | [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
getJobEvents
PagedJobEventsResponse getJobEvents(tenantId, jobId, stageId, page, pageSize, sort)
Get the events for a specified job.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| tenantId | Integer | Id of the tenant | [default to null] |
| jobId | String | Id of the job | [default to null] |
| stageId | String | Job stage to get the events for | [optional] [default to null] |
| page | Integer | the page number of jobs to return. (1 by default) | [optional] [default to null] |
| pageSize | Integer | the desired number of jobs per page. (25 by default) | [optional] [default to null] |
| sort | String | the field to sort by | [optional] [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
getJobStages
PagedJobStagesResponse getJobStages(tenantId, jobId, parentId, ids, page, pageSize, sort)
Get the stages for a specified job.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| tenantId | Integer | Id of the tenant | [default to null] |
| jobId | String | Id of the job | [default to null] |
| parentId | String | Parent stage to get child stage ids for | [optional] [default to null] |
| ids | List | the stage ids to return | [optional] [default to null] |
| page | Integer | the page number of jobs to return. (1 by default) | [optional] [default to null] |
| pageSize | Integer | the desired number of jobs per page. (25 by default) | [optional] [default to null] |
| sort | String | the field to sort by | [optional] [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json